Loading...
Searching...
No Matches
queue.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Queue | ARC_Queue
| a queue type

## Functions

void | ARC_Queue_Create (ARC_Queue **queue)
| creates ARC_Queue type
void | ARC_Queue_Destroy (ARC_Queue *queue)
| destroyes ARC_Queue type
void | ARC_Queue_Push (ARC_Queue *queue, void *data)
| pushes value to end of queue
void * | ARC_Queue_Pop (ARC_Queue *queue)
| pops the front off of the ARC_Queue
uint32_t | ARC_Queue_Size (ARC_Queue *queue)
| gets size of queue

## Typedef Documentation

## ARC_Queue

typedef struct ARC_Queue ARC_Queue

a queue type

Definition at line 13 of file queue.h.

## Function Documentation

## ARC_Queue_Create()

void ARC_Queue_Create | ( | ARC_Queue ** | queue | ) |

creates ARC_Queue type

Parameters

  queue | ARC_Queue to initialize

## ARC_Queue_Destroy()

void ARC_Queue_Destroy | ( | ARC_Queue * | queue | ) |

destroyes ARC_Queue type

## ARC_Queue_Pop()

void * ARC_Queue_Pop | ( | ARC_Queue * | queue | ) |

pops the front off of the ARC_Queue

Parameters

  queue | ARC_Queue to remove from

Returns
  the poped data from the queue as a void *

## ARC_Queue_Push()

void ARC_Queue_Push | ( | ARC_Queue * | queue,
|  | void * | data )

pushes value to end of queue

Parameters

  queue | ARC_Queue to push to
  data | data that is being pushed

## ARC_Queue_Size()

uint32_t ARC_Queue_Size | ( | ARC_Queue * | queue | ) |

gets size of queue

Parameters

  vector | ARC_Queue to get size from

Returns
  the queues size